import { routeLoader$ } from "@builder.io/qwik-city";
import { component$ } from "@builder.io/qwik";
import axios from "axios";
export const useRedirectLoader = routeLoader$(async ({ cookie, redirect }) => {
    const token = cookie.get("access_token")?.value; 
    console.log(token + "메인으로가면 생기는 토큰");
    let res;
    if (token) {
      // 쿠키에서 username 추출 (JWT decode 하거나 DB 조회 가능)
        try {
            res = await axios.get('http://localhost:8000/api/user/me', {
                headers: {
                    Authorization: `Bearer ${token}`,
                },
            });
            console.log(res.data.username + "데이터 받아옴");
        } catch (error : any) {
            console.error(error + "에러");
            cookie.delete("access_token");
            throw redirect(302, "/auth");
        }
    } else {
        console.log("no token");
      throw redirect(302, "/auth");
    }
    if (res.data.username) {
    throw redirect(302, `/${encodeURIComponent(res.data.username)}/`);
    }
  });
  
  export default component$(() => {
    // 여긴 사실 실행 안 됨 (위에서 리다이렉트됨)
    return <div>Loading...</div>;
  });